package com.huimv.produce.dhicc.newcontroller;


import com.alibaba.fastjson.JSON;
import com.dahuatech.hutool.http.Method;
import com.dahuatech.icc.exception.ClientException;
import com.dahuatech.icc.oauth.http.DefaultClient;
import com.dahuatech.icc.oauth.http.IClient;
import com.dahuatech.icc.oauth.model.v202010.GeneralRequest;
import com.dahuatech.icc.oauth.model.v202010.GeneralResponse;
import org.springframework.web.bind.annotation.*;
import java.util.Date;
import java.util.Map;

@RestController
@RequestMapping("person")

public class PersonManageController {

    /*
         * @param params
         *   下面是前端提交的参数 直接让她写死了   这个是查不同部门的人的接口
         *{searchKey: "", pageNum: 1, pageSize: 10, departmentId: 4, isContain: true, statusList: [1, 2]}      维修部门
          {searchKey: "", pageNum: 1, pageSize: 10, departmentId: 2, isContain: true, statusList: [1, 2]}      技术部门
          {searchKey: "", pageNum: 1, pageSize: 10, departmentId: 5, isContain: true, statusList: [1, 2]}      基层部门
         * @return
         * @throws ClientException
         */
    @RequestMapping("/ge_person_list")
    public GeneralResponse ge_person_list ( @RequestBody Map<String, Object> params ) throws ClientException {
        String URL = "/evo-apigw/evo-brm/1.2.0/person/page; "  ;  // 人员列表的接口
        IClient iClient = new DefaultClient();
        System.out.println("开始执行");
        GeneralRequest generalRequest = new GeneralRequest(URL, Method.POST);
        generalRequest.header("Content-Type", " application/json");
        System.out.println(JSON.toJSONString(params));
        //里面是
        generalRequest.body(JSON.toJSONString(params));
        //发起请求处理应答
        GeneralResponse generalResponse = iClient.doAction(generalRequest, generalRequest.getResponseClass());
        System.out.println("执行结束");
        return generalResponse;
    }

    /**
     * 人员通行记录 ---测试通过  ---参数说明见大华官网 https://open-icc.dahuatech.com/#/
     * 此处只做了代理
     *pageNum              	是	Integer	当前页
     * pageSize	            是	Integer	分页大小
     * startSwingTime	    否	String	查询开始时间
     * endSwingTime	        否	String	查询结束时间
     * openType          	否	Integer	开门类型
     * category	           否	String	卡片类型, null-全部, 0-IC卡, 1-有源RFID, 2-CPU卡
     * personName          	否	String	人员名称
     * personCode	        否	String	人员编号
     * channelCode	       否	String	通道编码
     * deptIds	           否	String	部门ID, 部门间”, “分隔
     * cardNumber       	否	String	卡号
     * enterOrExit       	否	String	事件类型, null-全部, 1-进门, 2出门, 3-进/出门
     * openResult	        否	Integer	开门结果, null-全部, 1-成功, 0-失败
     * @param params
     * @return
     * @throws ClientException
     */

    @RequestMapping("/get_person_record")
    public GeneralResponse getAccidentRecord( @RequestBody Map<String, Object> params ) throws ClientException {
        String URL = "/evo-apigw/evo-accesscontrol/1.0.0/card/accessControl/swingCardRecord/bycondition/combined";  //获取事件URL    post请求
        IClient iClient = new DefaultClient();
        System.out.println("开始执行");
        //这种已经在配置文件里面安排了账号ip以及密码
        GeneralRequest generalRequest = new GeneralRequest(URL, Method.POST);
        generalRequest.header("Content-Type", " application/json");
        System.out.println(JSON.toJSONString(params));
        //里面是
        generalRequest.body(JSON.toJSONString(params));
        //发起请求处理应答
        GeneralResponse generalResponse = iClient.doAction(generalRequest, generalRequest.getResponseClass());
        System.out.println("执行结束");
        return generalResponse;
    }
   //总页数
    @RequestMapping("/get_person_record_totalpage")
    public GeneralResponse get_person_record_totalpage( @RequestBody Map<String, Object> params ) throws ClientException {
        String URL = "/evo-apigw/evo-accesscontrol/1.0.0/card/accessControl/swingCardRecord/bycondition/combinedCount?systime=";  //获取事件URL    post请求
        IClient iClient = new DefaultClient();
        String timestamp = String.valueOf((new Date()).getTime());
        Long aLong = Long.valueOf(timestamp);
        String NewUrl = URL + aLong;
        System.out.println("开始执行");
        //这种已经在配置文件里面安排了账号ip以及密码
        GeneralRequest generalRequest = new GeneralRequest(NewUrl, Method.POST);
        System.out.println(NewUrl);
        generalRequest.header("Content-Type", " application/json");
        System.out.println(JSON.toJSONString(params));
        //里面是
        generalRequest.body(JSON.toJSONString(params));
        //发起请求处理应答
        GeneralResponse generalResponse = iClient.doAction(generalRequest, generalRequest.getResponseClass());
        System.out.println("执行结束");
        return generalResponse;
    }

    @RequestMapping("/get_person_detail")
    public GeneralResponse getPersonDetail( @RequestBody Map<String, Object> params ) throws ClientException {
        String URL = "/evo-apigw/evo-accesscontrol/${version}/card/accessControl/swingCardRecord/19241";  //获取事件URL    post请求
        IClient iClient = new DefaultClient();
        System.out.println("开始执行");
        String URL_id = URL + params.get("id");
        //这种已经在配置文件里面安排了账号ip以及密码
        GeneralRequest generalRequest = new GeneralRequest(URL_id, Method.POST);
        generalRequest.header("Content-Type", " application/json");
        //发起请求处理应答
        GeneralResponse generalResponse = iClient.doAction(generalRequest, generalRequest.getResponseClass());
        System.out.println("执行结束");
        return generalResponse;
    }





}
